package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 政协_附件对象 zx_fj
 * 
 * @author boman
 * @date 2024-03-07
 */
public class ZxFj extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 附件ID */
    private Long id;


    /** 主体id(提案id或者社情民意id) */
    private Long mainId;

    /** 数据id */
    @Excel(name = "数据id")
    private Long sourceId;

    /** 附件名称 */
    @Excel(name = "附件名称")
    private String name;

    /** 附件地址 */
    @Excel(name = "附件地址")
    private String url;

    /** 地址类型 1：提案附件，2：社情民意附件 */
    @Excel(name = "地址类型 1：提案附件，2：社情民意附件")
    private String type;


    /** 附件归属类型 1:填报附件，2：答复附件，3：主办单位答复附件，4：协办单位答复附件 */
    @Excel(name = "地址类型 1：答复附件，2：主办单位答复附件，3：协办单位答复附件,4:填报附件")
    private String stytle;

    public Long getMainId() {
        return mainId;
    }

    public void setMainId(Long mainId) {
        this.mainId = mainId;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setSourceId(Long sourceId) 
    {
        this.sourceId = sourceId;
    }

    public Long getSourceId() 
    {
        return sourceId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public void setType(String type)
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }

    public String getStytle() {
        return stytle;
    }

    public void setStytle(String stytle) {
        this.stytle = stytle;
    }

    @Override
    public String toString() {
        return "ZxFj{" +
                "id=" + id +
                ", sourceId=" + sourceId +
                ", name='" + name + '\'' +
                ", url='" + url + '\'' +
                ", type='" + type + '\'' +
                ", stytle='" + stytle + '\'' +
                '}';
    }
}
